Main Page Groups Namespaces

# sigc::internal::lambda_core< T_type, false > Struct Template Reference

Abstracts lambda functionality (template specialization for other value types). More...

Inheritance diagram for sigc::internal::lambda_core< T_type, false >:

[legend]
List of all members.

## Public Types

typedef T_type | result_type
typedef lambda<T_type> | lambda_type

## Public Member Functions

result_type | operator() () const
template <class T_arg1> result_type | operator() (T_arg1 _A_1) const
template <class T_arg1> result_type | sun_forte_workaround (T_arg1 _A_1) const
template <class T_arg1, class T_arg2> result_type | operator() (T_arg1 _A_1, T_arg2 _A_2) const
template <class T_arg1, class T_arg2> result_type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2) const
template <class T_arg1, class T_arg2, class T_arg3> result_type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3) const
template <class T_arg1, class T_arg2, class T_arg3> result_type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3) const
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4> result_type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4) const
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4> result_type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4) const
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5> result_type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5) const
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5> result_type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5) const
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6> result_type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6) const
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6> result_type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6) const
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7> result_type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6, T_arg7 _A_7) const
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7> result_type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6, T_arg7 _A_7) const
| lambda_core (typename type_trait<T_type>::take v)

## Public Attributes

T_type | value_

## Detailed Description

### template <class T_type>
struct sigc::internal::lambda_core< T_type, false >

Abstracts lambda functionality (template specialization for other value types).

## Member Typedef Documentation

template <class T_type>
typedef lambda<T_type> sigc::internal::lambda_core<T_type, false>::lambda_type

template <class T_type>
typedef T_type sigc::internal::lambda_core<T_type, false>::result_type

## Member Function Documentation

template <class T_type>
sigc::internal::lambda_core<T_type, false>::lambda_core | ( | typename type_trait<T_type>::take | v | ) | `[inline, explicit]`

template <class T_type>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
result_type sigc::internal::lambda_core<T_type, false>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6,
|  | T_arg7 | _A_7
| ) | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
result_type sigc::internal::lambda_core<T_type, false>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6
| ) | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
result_type sigc::internal::lambda_core<T_type, false>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5
| ) | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>
result_type sigc::internal::lambda_core<T_type, false>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4
| ) | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2, class T_arg3>
result_type sigc::internal::lambda_core<T_type, false>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3
| ) | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2>
result_type sigc::internal::lambda_core<T_type, false>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2
| ) | const`[inline]`

template <class T_type>
template <class T_arg1>
result_type sigc::internal::lambda_core<T_type, false>::operator() | ( | T_arg1 | _A_1 | ) | const`[inline]`

template <class T_type>
lambda_core<T_type, false>::result_type sigc::internal::lambda_core<T_type, false>::operator() | ( |  | ) | const

template <class T_type>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
result_type sigc::internal::lambda_core<T_type, false>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6,
|  | T_arg7 | _A_7
| ) | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
result_type sigc::internal::lambda_core<T_type, false>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6
| ) | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
result_type sigc::internal::lambda_core<T_type, false>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5
| ) | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>
result_type sigc::internal::lambda_core<T_type, false>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4
| ) | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2, class T_arg3>
result_type sigc::internal::lambda_core<T_type, false>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3
| ) | const`[inline]`

template <class T_type>
template <class T_arg1, class T_arg2>
result_type sigc::internal::lambda_core<T_type, false>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2
| ) | const`[inline]`

template <class T_type>
template <class T_arg1>
result_type sigc::internal::lambda_core<T_type, false>::sun_forte_workaround | ( | T_arg1 | _A_1 | ) | const`[inline]`

## Member Data Documentation

template <class T_type>
T_type sigc::internal::lambda_core<T_type, false>::value_

The documentation for this struct was generated from the following file:

- base.h